let busy = false;
let filters = [
  {
    can_id: "123",
    interval: 1000
  },
  {
    can_id: "456-789",
    interval: 2000
  },
  {
    can_id: "1",
    interval: 0
  },
];
let totalFilters = 3;

export const CANFiltersProvider = ({ children }) => {
  return <div data-testid="mocked-canfiltersprovider">{children}</div>;
};

export const useCANFiltersContext = () => ({
  busy,
  filters,
  totalFilters,
  addFilter: jest.fn(),
  getFilters: jest.fn(),
  updateFilter: jest.fn(),
  deleteFilter: jest.fn(),
});
